ComponentDefinitionsFactory (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.ComponentDefinitionsFactory,ComponentDefinitionsFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Interface ComponentDefinitionsFactory

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  FactorySet, ReloadableDefinitionsFactory

Deprecated. Use DefinitionsFactory instead.

public interface ComponentDefinitionsFactory
extends java.io.Serializable

Component repository interface. This interface allows to retrieve an definition by its name, independently of the factory implementation. Implementation must be Serializable, in order to be compliant with web Container having this constraint (Weblogic 6.x).

Method Summary
`ComponentDefinition` | `getDefinition(java.lang.String name, javax.servlet.ServletRequest request, javax.servlet.ServletContext servletContext)` Deprecated. Get a definition by its name.
`void` | `initFactory(javax.servlet.ServletContext servletContext, java.util.Map properties)` Deprecated. Init factory.

Method Detail

### getDefinition

    public ComponentDefinition getDefinition(java.lang.String name,
                                             javax.servlet.ServletRequest request,
                                             javax.servlet.ServletContext servletContext)
                                      throws NoSuchDefinitionException,
                                             DefinitionsFactoryException

  Deprecated.
  Get a definition by its name.

  Parameters:
    `name` - Name of requested definition.
    `request` - Current servelet request
    `servletContext` - current servlet context
  Throws:
    `DefinitionsFactoryException` - An error occur while getting definition.
    `NoSuchDefinitionException` - No definition found for specified name Implementation can throw more accurate exception as a subclass of this exception

### initFactory

    public void initFactory(javax.servlet.ServletContext servletContext,
                            java.util.Map properties)
                     throws DefinitionsFactoryException

  Deprecated.
  Init factory. This method is called exactly once immediately after factory creation in case of internal creation (by DefinitionUtil).

  Parameters:
    `servletContext` - Servlet Context passed to newly created factory.
    `properties` - Map of name/property passed to newly created factory. Map can contains more properties than requested.
  Throws:
    `DefinitionsFactoryException` - An error occur during initialization.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation